;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         A.N.Other <myemail@nowhere.com>
;
; Script Function:
;	This script is designed to help you test the functionality of MouseTrainer on a SMARTboard. Sometimes the right click 
;functionality of a SMARTboard (holding continuously) interferes with the dragging function (for painting) of the lbutton and you can discover
;if something similar is in operation on your board.

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

Gui, Add, text, x20 y5, LMB
Gui, Add, text, x60 y5, RMB
Gui, Add, Edit,x10 y40 w40,Up
Gui, Add, Edit,x55 y40 w40,Up
Gui, Add, text, x10 y80, Alt and Q to exit
Gui, show, w100 h100, SMARTtest

winset, AlwaysonTop, on, SMARTtest

~lbutton::
{
	ControlSetText, Edit1, Down, SMARTtest,
	soundbeep, 500, 200
	getkeystate, lbuttonstate, lbutton
	keywait, lbutton, L
	ControlSetText, Edit1, Up, SMARTtest,
	soundbeep, 500, 200
	return
}

~Rbutton::
{
	ControlSetText, Edit2, Down, SMARTtest,
	soundbeep, 1000, 200
	getkeystate, rbuttonstate, rbutton
	keywait, rbutton
	ControlSetText, Edit2, Up, SMARTtest,
	soundbeep, 1000, 200
	return
}

alt & Q::exitapp